package checkout;

import java.sql.*;
import java.lang.*;
import java.util.Vector;

public class CategoryList {
	private Vector<Object> list;
	private Category cat;
	
	public CategoryList() {
		list = new Vector<Object>();
	}

	public void setCategoryList() throws SQLException, java.lang.InstantiationException, java.lang.IllegalAccessException, ClassNotFoundException {
		Class.forName("com.mysql.jdbc.Driver").newInstance();
		Connection con = null;
		Statement stmt = null;
		ResultSet rs = null;

		try {
			con = DriverManager.getConnection("jdbc:mysql://" + MySQLDB.getHost() + "/" + MySQLDB.getDatabase(), MySQLDB.getUsername() , MySQLDB.getPassword());
			stmt = con.createStatement();
			rs = stmt.executeQuery("SELECT id, name FROM cat");

			while(rs.next()) {
				Category c = new Category(rs.getInt("id"),
					rs.getString("name"));
					list.add(c);
			}
		}
		catch(SQLException e) {
			throw e;
		}
		finally {
			if(rs != null) rs.close();
			if(stmt != null) stmt.close();
			if(con != null) con.close();
		}
	}
	
		public void setCategoryListById(int id) throws SQLException, java.lang.InstantiationException, java.lang.IllegalAccessException, ClassNotFoundException {
		Class.forName("com.mysql.jdbc.Driver").newInstance();
		Connection con = null;
		PreparedStatement pstmt = null;
		ResultSet rs = null;

		try {
			con = DriverManager.getConnection("jdbc:mysql://" + MySQLDB.getHost() + "/" + MySQLDB.getDatabase(), MySQLDB.getUsername() , MySQLDB.getPassword());
			pstmt = con.prepareStatement("SELECT id, name FROM cat where id = ?");
			pstmt.setInt(1, id);
			rs = pstmt.executeQuery();
			
			while(rs.next()) {
				Category c = new Category(rs.getInt("id"),
					rs.getString("name"));
					list.add(c);
			}
			
			for(int i = 0; i < list.size(); i++) {
				cat = (Category) list.elementAt(i);
			}
		}
		catch(SQLException e) {
			throw e;
		}
		finally {
			if(rs != null) rs.close();
			if(pstmt != null) pstmt.close();
			if(con != null) con.close();
		}
	}

	public Vector getCategoryList() {
		return list;
	}
	
	public Category getCategory() {
		return cat;
	}
}