package checkout;

import java.math.BigDecimal;
import java.sql.Clob;

public class Item {
	private int subcatid, itemid;
	private String subcatname, itemname;
	private BigDecimal price;
	private Clob description;

	public Item(int subcatid, String subcatname, int itemid, String itemname, BigDecimal price) {
		this.subcatid = subcatid;
		this.subcatname = subcatname;
		this.itemid = itemid;
		this.itemname = itemname;
		this.price = price;
	}
	
	public Item(int subcatid, String subcatname, int itemid, String itemname, BigDecimal price, Clob description) {
		this.subcatid = subcatid;
		this.subcatname = subcatname;
		this.itemid = itemid;
		this.itemname = itemname;
		this.price = price;
		this.description = description;
	}
	
	public void setSubCatId(int subcatid) {
		this.subcatid = subcatid;
	}
	
	public void setSubCatName(String subcatname) {
		this.subcatname = subcatname;
	}
	
	public void setItemId(int itemid) {
		this.itemid = itemid;
	}
	
	public void setItemName(String itemname) {
		this.itemname = itemname;
	}
	
	public void setPrice(BigDecimal price) {
		this.price = price;
	}
	
	public void setDescription(Clob text) {
		this.description = description;
	}
	
	public int getSubCatId() {
		return subcatid;
	}
	
	public String getSubCatName() {
		return subcatname;
	}
	
	public int getItemId() {
		return itemid;
	}
	
	public String getItemName() {
		return itemname;
	}
	
	public BigDecimal getPrice() {
		return price;
	}
	
	public Clob getDescription() {
		return description;
	}
}